<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
"http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

  <HEAD>
    <META name="GENERATOR" content="Htmlc 1.70">
    <META http-equiv="Content-Type" content="text/html&nbsp;charset=UTF-8">

    <TITLE>
      JFLA 2007
    </TITLE>
  </HEAD>

  <BODY BGCOLOR="#FFFACD">
    <TABLE CELLPADDING=0 CELLSPACING=0 WIDTH="100%">
      <TR>
        <TD><IMG SRC="http://jfla.inria.fr/imgs/inria.gif" ALT="LOGO INRIA"></TD>
        <TD><FONT COLOR="#003399" SIZE="+3">
            <STRONG>Cours et Colloques</STRONG></FONT></TD>
      </TR>
    </TABLE>
    <P ALIGN=CENTER><IMG SRC="http://jfla.inria.fr/imgs/ti_dessous.gif" ALT="TRAIT"></P>

    <P><FONT COLOR="#003399"><STRONG>Contact:</STRONG></FONT>
    <CODE>symposia@inria.fr</CODE>
    </P>

    <H1 ALIGN=CENTER>JFLA 2007</H1>

    <H3 ALIGN=CENTER>27-30 janvier 2007 Aix-les-Bains</H3>
    
    <H2 ALIGN=CENTER>Programme JFLA 2007</H2>


    <H3 ALIGN=LEFT>Arrivée : 27 janvier 2007</H3>

    <H3 ALIGN=LEFT>Premier jour : 27 janvier 2007</H3>
    <UL>
      <LI> <B>15h00 - 15h30</B> : Accueil - Présentation</LI>
      <LI> <B>15h30 - 17h00</B> : <B>Cours</B></LI>
      <I>Programmation Synchrone Fonctionnelle</I><BR/>
      par Marc Pouzet
      <LI> <B>17h00 - 17h30</B> : Pause-café</LI>
      <LI> <B>17h30 - 19h00</B> : <B>Cours</B></LI>
      <I>Techniques de réécriture et transformations</I><BR/>
       par Horatiu Cirstea et Antoine Reilles
      <LI> <B>19h00</B> : Dîner</LI>
    </UL>

    <H3 ALIGN=LEFT>Deuxième jour : 28 janvier 2007</H3>
    <UL>
      <LI> <B>09h00 - 10h30</B> : <B>Cours</B></LI>
      <I>Programmation Synchrone Fonctionnelle</I><BR/>
      par Marc Pouzet
      <LI> <B>10h30 - 11h00</B> : Pause-café</LI>
      <LI> <B>11h00 - 12h30</B> : <B>Cours</B></LI>
      <I>Techniques de réécriture et transformations</I><BR/>
       par Horatiu Cirstea et Antoine Reilles
      <LI> <B>12h30 - 14h00</B> : Déjeuner</LI>
      <LI> <B>14h00 - 18h00</B> : Excursion - Promenade</LI>
      <LI> <B>18h30 - 19h00</B> : <B>Mini-cours</B></LI>
      <I>Apéro-Réflexion</I><BR>
      par Jean-François Monin
      <LI> <B>19h00</B> : Dîner</LI>
    </UL>

    <H3 ALIGN=LEFT>Troisième jour : 29 janvier 2007</H3>
    <UL>
      <LI> <B>09h00 - 10h00</B> : <B>Conférence invitée</B></LI>
      <I>Satisfaction modulo théories : application à la vérification de règles
        métiers par contraintes</I><BR>
      Hassan Aït Kaci (ILOG)<BR>
      travail réalisé avec Bruno Berstel (ILOG), Ulrich Junker (ILOG),
      Michel Leconte (ILOG) et Andreas Podelski (Université de Fribourg)
      <LI> <B>10h00 - 10h30</B> : Pause-café</LI>
      <LI> <B>10h30 - 11h00</B> :
      <I>Arithmétique réelle exacte certifiée, co-induction et base arbitraire</I> </LI>
      Nicolas Julien <BR> 
      <LI> <B>11h00 - 11h30</B> :
      <I>Définition et preuve d'un algorithme fonctionnel de segmentation d'image
        basé sur les hypercartes </I> </LI>
      Jean-François Dufourd <BR> 
      <LI> <B>11h30 - 12h00</B> :
      <I>Utilisation en Coq de l'opérateur de description</I> </LI>
      Pierre Casteran <BR>       
      <LI> <B>12h00 - 14h00</B> : Déjeuner</LI>
      <LI> <B>14h00 - 14h30</B> :
      <I>Gestion de versions de formats avec Camlp4</I> </LI>
      Fabrice Le Fessant <BR> 
      <LI> <B>14h30 - 15h00</B> :
      <I>Couverture de code Caml pour la réalisation d'outils de développement certifiés</I> </LI>
      Bruno Pagano, Benjamin Canou, Emmanuel Chailloux, Jean-Louis Colaço et Philippe Wang<BR>
      <LI> <B>15h00 - 15h30</B> : 
      <I>Un programme annoté en vaut deux</I> </LI>
      Alain Giorgetti et Julien Groslambert <BR>
      <LI> <B>15h30 - 16h00</B> : Pause-café</LI>
      <LI> <B>16h00 - 16h30</B> :
      <I>Erasure and Duplication in Classical Computation</I> </LI>
      Dragisa Zunic et Pierre Lescanne <BR>
      <LI> <B>16h30 - 17h00</B> :
      <I>Décurryfication certifiée</I> </LI>
      Zaynah Dargaye <BR>   
      <LI> <B>17h00 - 18h30</B> : Démonstrations</LI>
      <LI> <B>19h00</B> : Dîner</LI>
    </UL>

    <H3 ALIGN=LEFT>Quatrième jour : 30 janvier 2007</H3>
    <UL>
      <LI> <B>09h00 - 10h00</B> : <B>Conférence invitée</B></LI>
      <I>Operating Systems in Haskell: Implementations, Models, and Proofs</I><BR>
      Andrew Tolmach (projet Gallium, INRIA Rocquencourt)
      <LI> <B>10h00 - 10h30</B> : Pause-café</LI>
      <LI> <B>10h30 - 11h00</B> : <I>Union-Find Persistant</I></LI>
      Sylvain Conchon et Jean-Christophe Filliâtre
      <BR>
      <LI> <B>11h00 - 11h30</B> :
      <I>Les modèles classiques de conception objet vus par la programmation ML</I> </LI>
      Philippe Narbel<BR>
      <LI> <B>11h30 - 12h00</B> : Bilan et clôture des journées</LI>
      <LI> <B>12h00 - 13h30</B> : Déjeuner</LI>
    </UL>


  <HR>
  <P>Pour tout renseignement, contacter

  <BLOCKQUOTE>
    Gaelle Dorkeld<BR>
    INRIA Rocquencourt<BR>
    Bureau des Cours et Colloques (JFLA2007)<BR>
    Domaine de Voluceau - BP 105<BR>
    78153 Le Chesnay Cedex<BR>
    Tél.: +33 (0) 1 39 63 56 00 - Fax : +33 (0) 1 39 63 56 38<BR>
    email : <CODE>symposia@inria.fr</CODE><BR>
    <CODE>http://jfla.inria.fr/2007/</CODE><BR>
    <BR>
  </BLOCKQUOTE>

  <I><BR> Pour toutes remarques d'ordre général ou technique concernant
    cette page, écrire à <A
      HREF="mailto:Pierre.Weis@inria.fr">Pierre.Weis@inria.fr</A>.</I>
  <HR>

  <P><I>Conception et mise au point: Pierre Weis.</I>

  <BR>
  <I><A HREF="http://jfla.inria.fr/2006/copyright-fra.html">Copyright</A>
    1996 - 2005 INRIA, tous droits réservés.</I>
  <BR>
  <!--
  <EM>Date de dernière modification:
    jeudi 13 octobre 2005</EM>
  -->
  <P ALIGN=CENTER>
  <IMG SRC="http://jfla.inria.fr/imgs/JoeCaml.gif" ALT="LOGO Caml">
  <EM>Powered by Caml</EM>
  <IMG SRC="http://jfla.inria.fr/imgs/CamlJoe.gif" ALT="Caml LOGO">
  </P>

</BODY>
</HTML>

  </BODY>
</HTML>

